%define _name modplugbmp
%def_disable static

Name: beep-input-modplug
Version: 2.05
Release: alt1.1

Summary: Input plugin for Beep Media Player based on libmodplug library.
License: GPL
Group: Sound

Url: http://thefun.trucs.org/
Source: %url/%_name-%version.tar.bz2

%define beep_ver 0.9.7

Requires: beep >= %beep_ver
BuildPreReq: libbeep-devel >= %beep_ver

# Automatically added by buildreq on Wed Dec 15 2004
#BuildRequires: ORBit2-devel fontconfig freetype2 gcc-c++ gcc-g77 glib2-devel gnome-vfs2-devel libGConf2-devel libatk-devel libbeep-devel libbonobo2-devel libgtk+2-devel libmodplug-devel libpango-devel libstdc++-devel pkgconfig xorg-x11-devel-static xorg-x11-libs
BuildRequires: ORBit2-devel XFree86-devel-static XFree86-libs fontconfig freetype2 gcc-c++ gcc-g77 glib2-devel gnome-vfs2-devel libGConf2-devel libatk-devel libbeep-devel libbonobo2-devel libgtk+2-devel libmodplug-devel libpango-devel libstdc++-devel pkgconfig

%description
This package contains Beep Media Player plugin for playing sound
modules. It is based on libmodplug library.

%prep
%setup -q -n %_name-%version

%build
%configure \
    %{subst_enable static}
%make_build

%install
%make_install DESTDIR=%buildroot install

# remove none-packaged files.
%__rm -f %buildroot%_beep_input_dir/*.la

%files
%_beep_input_dir/*.so
%doc AUTHORS ChangeLog README

%changelog
* Tue Jan 18 2005 ALT QA Team Robot <qa-robot@altlinux.org> 2.05-alt1.1
- Rebuilt with libstdc++.so.6.

* Wed Dec 15 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.05-alt1
- First build for Sisyphus.
